import * as $dara from '@darabonba/typescript';
export declare class DescribeHybridProxyClusterListRequest extends $dara.Model {
    /**
     * @remarks
     * The name of the proxy cluster.
     *
     * @example
     * test
     */
    clusterName?: string;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    currentPage?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 20
     */
    pageSize?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
